15-5-with-path:
  extends:
    - .artifact-example
  tags:
    - 15-5
  variables:
    PROJECT_PATH: subfolder

15-4-with-path:
  extends:
    - .artifact-example
  tags:
    - 15-4
  variables:
    PROJECT_PATH: subfolder

15-5-no-path:
  extends:
    - .artifact-example
  tags:
    - 15-5

15-4-no-path:
  extends:
    - .artifact-example
  tags:
    - 15-4

.artifact-example:
  stage: test
  image: bash
  script:
    - cd ${PROJECT_PATH:-.}
    - pwd
    - ls
  artifacts:
    name: example
    paths:
      - ${PROJECT_PATH:-.}/file.txt
